﻿namespace HeuristicLab.BenchmarkSuite.Problems {
  using System.Linq;

  using HeuristicLab.BenchmarkSuite.ProblemData;

  public class EvenSquares : BenchmarkSuiteDataDescriptor<long, long[]> {
    private const string displayMame = "Even Squares";
    private const string description = "";

    public override string Name { get { return displayMame; } }
    public override string Description { get { return description; } }

    protected override int InputCount { get { return 1; } }
    protected override int OutputCount { get { return 1; } }

    public override long ConvertInput(string[] input) {
      return ConvertInteger(input[0]);
    }

    public override long[] ConvertOutput(string[] output) {
      return SplitByNewLine(output[0])
        .Select(ConvertInteger)
        .ToArray();
    }

    public override IPushData CreatePushData(Example<long, long[]>[] training, Example<long, long[]>[] test) {
      return new EvenSquaresPushData(training, test);
    }
  }
}
